Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class FolderAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.FolderAccess

public class FolderAccess
extends java.lang.Object

FolderAccess
Réalise les opérations relatives aux dossiers dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`FolderAccess()`

Method Summary
`static void` | `createFolder(org.esupportail.portal.utils.database.Query query, Folder folder)` Crée un dossier
`static void` | `deleteFolder(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Supprime un dossier
`static boolean` | `folderExist(org.esupportail.portal.utils.database.Query query, Folder folder)` Teste si un dossier existe déjà
`static java.util.List` | `getAllFolders(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste de tous les dossiers d'un intranet
`static Folder` | `getFolder(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne un dossier
`static java.util.List` | `getFolderChildren(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste de tous les sous-dossiers d'un dossier (récursif)
`static java.util.List` | `getFolders(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste des sous-dossiers d'un dossier
`static java.util.List` | `getFolderTree(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Construit récursivement l'arborescence d'un dossier
`static java.lang.String` | `getNextFolder(org.esupportail.portal.utils.database.Query query)` Retourne le prochain identifiant de dossier
`static boolean` | `isFolderEmpty(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String id)` Teste si un dossier est vide
`static void` | `updateFolder(org.esupportail.portal.utils.database.Query query, Folder folder)` Modifie un dossier existant
`static void` | `updateFolderDate(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String date)` Modifie la date d'un dossier

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderAccess

    public FolderAccess()

Method Detail

### getAllFolders

    public static java.util.List getAllFolders(org.esupportail.portal.utils.database.Query query,
                                               java.lang.String id)
                                        throws DataException

  Retourne la liste de tous les dossiers d'un intranet

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant de l'intranet
  Returns:
    folders La liste des dossiers
  Throws:
    `DataException`

### getFolder

    public static Folder getFolder(org.esupportail.portal.utils.database.Query query,
                                   java.lang.String id)
                            throws DataException

  Retourne un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    folder Le dossier
  Throws:
    `DataException`

### getFolders

    public static java.util.List getFolders(org.esupportail.portal.utils.database.Query query,
                                            java.lang.String id)
                                     throws DataException

  Retourne la liste des sous-dossiers d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier père
  Returns:
    folders La liste des dossiers
  Throws:
    `DataException`

### getFolderChildren

    public static java.util.List getFolderChildren(org.esupportail.portal.utils.database.Query query,
                                                   java.lang.String id)
                                            throws DataException

  Retourne la liste de tous les sous-dossiers d'un dossier (récursif)

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    folders La liste des sous-dossiers
  Throws:
    `DataException`

### createFolder

    public static void createFolder(org.esupportail.portal.utils.database.Query query,
                                    Folder folder)
                             throws DataException

  Crée un dossier

  Parameters:
    `query` - La connexion à utiliser
    `folder` - Le dossier à créer
  Throws:
    `DataException`

### updateFolder

    public static void updateFolder(org.esupportail.portal.utils.database.Query query,
                                    Folder folder)
                             throws DataException

  Modifie un dossier existant

  Parameters:
    `query` - La connexion à utiliser
    `folder` - Le dossier à modifier
  Throws:
    `DataException`

### updateFolderDate

    public static void updateFolderDate(org.esupportail.portal.utils.database.Query query,
                                        java.lang.String id,
                                        java.lang.String date)
                                 throws DataException

  Modifie la date d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `date` - La date
  Throws:
    `DataException`

### deleteFolder

    public static void deleteFolder(org.esupportail.portal.utils.database.Query query,
                                    java.lang.String id)
                             throws DataException

  Supprime un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

### getFolderTree

    public static java.util.List getFolderTree(org.esupportail.portal.utils.database.Query query,
                                               java.lang.String id)
                                        throws DataException

  Construit récursivement l'arborescence d'un dossier

  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    tree L'arbre
  Throws:
    `DataException`

### folderExist

    public static boolean folderExist(org.esupportail.portal.utils.database.Query query,
                                      Folder folder)
                               throws DataException

  Teste si un dossier existe déjà

  Parameters:
    `query` - La connexion à utiliser
    `folder` - Le dossier à tester
  Returns:
    boolean True si le dossier existe, false sinon
  Throws:
    `DataException`

### isFolderEmpty

    public static boolean isFolderEmpty(org.esupportail.portal.utils.database.Query query,
                                        java.lang.String intranet,
                                        java.lang.String id)
                                 throws DataException

  Teste si un dossier est vide

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'identifiant d'intranet
    `id` - L'identifiant du dossier
  Returns:
    boolean True si le dossier est vide, false sinon
  Throws:
    `DataException`

### getNextFolder

    public static java.lang.String getNextFolder(org.esupportail.portal.utils.database.Query query)
                                          throws DataException

  Retourne le prochain identifiant de dossier

  Parameters:
    `query` - La connexion à utiliser
  Returns:
    L'identifiant suivant
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD